uwsgi (2.0.10-1) experimental; urgency=medium

  [ upstream ]
  * New release.
    Bugfixes:
    + Don’t lower security standards with gcc 4.9 (Riccardo Magliocchetti)
    + Ensure Perl/PSGI gets passed least two params to xs_input_seek.
    + Fix Perl/PSGI multiple interpreters usage.
    + Fix spooler scandir usage.
    + Fix exception handler arguments management.
    + Fix ‘log-master’ + ‘daemonize2’ disables all logging.
    + Fix http Range header management.
    New Features and improvements:
    + Add safeexec hook.
    + Add emperor-wrapper-fallback and –emperor-wrapper-override
      options.
    + Add support for UNIX sockets to rsyslog.
    + Add forcecl transformation.

  [ Jonas Smedegaard ]
  * Drop patch cherry-picked upstream now merged.
  * Update copyright info:
    + Extend coverage for main upstream author to include recent years.
    + Add myself as copyright holder.
  * Move packaging to team-maintenance: Set team list as maintainer, and
    demote Janos to uploader.
  * Declare compile flags explicitly in rules (not via environment).
  * Fix limit gccgo plugin to supported archs.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Mar 2015 14:39:40 +0100

uwsgi (2.0.9-1) experimental; urgency=medium

  [ upstream ]
  * New release 2.0.7.
    Bugfixes:
    + Fix mod_proxy_uwsgi for non-blocking mode.
    + Fix master-fifo + cheaper.
    + Fix leak on error in bind_to_unix.
    + atexit hooks works in cheaped workers too.
    + atexit hooks works in gevent mode too during shutdown.
    + Fix carbon command line option value after reload.
    + Do not honour Emperor throttling on the first run.
    + Fix Mono plugin.
    + Fix peer name in corerouters.
    + Fix stop signal for daemons.
    + Varios ssl/tls fixes in https/spdy router.
    + Fix python3 –py-auto-reload-ignore.
    + Fix modifiers in corerouters.
    + Support for yajl from homebrew.
    + Ensure that we call any DESTROY hooks on psgix.harakiri.commit.
    + Fix systemdlogger compilation with -Werror=format-security.
    + Fix unmasked websockets.
    + Fix perl latent refcounting bug.
    New Features and improvements:
    + Improved PyPy support for Linux.
    + Fastrouter now supports post-buffering.
    + Have psgi/perl plugin expose the uwsgi::opt hash.
    + New pull-header option.
    + New active-workers signal target.
    + New httpdumb routing action.

  [ Jonas Smedegaard ]
  * Fix have uwsgi-plugin-python3 provide httpd-wsgi3 (not httpd-wsgi).
    Closes: bug#769053. Thanks to Brian May.
  * Fix build-depend explicitly on libpcre3-dev.
    Closes: bug#771840. Thanks to Logan Rosen.
  * Update patches:
    + Drop patch cherry-picked upstream now merged.
    + Unfuzz patch 1002.
    + Add patch 1009 to fix java paths.
      Closes: bug#774026, #774027. Thanks to Jakub Wilk.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 11 Mar 2015 14:59:39 +0100

uwsgi (2.0.8-1~exp2) experimental; urgency=medium

  * Replace patch 1005 with improved upstream fixes. Closes: bug#754854.
  * Modernize uWSGI Emperor sysV init script:
    + Rewrite to use init-d-script.
    + Replace ENABLED variable in default file with comment instructing
      to use update-rc.d.
    + Have uwsgi-emperor depend on recent sysvinit-utils (not lsb-base
      or recent initscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Nov 2014 23:33:42 +0100

uwsgi (2.0.8-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release 2.0.7.
    Bugfixes:
    + Fix PHP SCRIPT_NAME usage when --php-app is in place.
    + Allow "appendn" hook without second argument.
    + Fix heap corruption in the Carbon plugin.
    + Fix getifaddrs() memory management.
    + Fix tcsetattr() usage.
    + Fix kevent usage of return value.
    + Ensure PSGI response headers are in the right format.
    + Fix reloading of attached daemons.
    + Fix SSL/TLS shutdown.
    + Fix mountpoint logic for paths not ending with "/".
    + Fix Python3 support in spooler decorators.
    New Features and improvements:
    + RTSP and chunked input (backported from 2.1) for the HTTP router.
    + Custom hook --hook-post-fork to call actions after each fork().
    + Support building asyncio plugin for Python 2, using trollius.
    + Add sweep_on_full, clear_on_full and no_expire to --cache2.
    + Susped options wait-for-fs/mountpoints (backported from 2.1).
    + Improved offload API.
    + Allows building plugins from remote sources as embedded.
    + Automatically manage HTTP_X_FORWARDED_PROTO.

  [ Jonas Smedegaard ]
  * Enable core plugins logcrypto logpipe msgpack pty router_expires
    router_hash router_metrics router_radius router_redis router_xmldir
    stats_pusher_file stats_pusher_socket transformation_chunked
    transformation_offload transformation_template webdav xattr zabbix.
  * Enable core plugins logzmq mongrel2 forkptyrouter (except on the
    Hurd).
  * Enable core plugin tuntap (except on kFreeBSD).
  * Enable core plugin systemd_logger (only on linux archs).
  * Enable plugins separately packaged:
    + gevent
    + asyncio
    + tornado
    + Closure/ring
    + Servlet 2.5
    + MongoDB and GridFS plugins (on supported archs)
    + GlusterFS (on supported archs)
    + Mono/ASP.NET (on supported archs)
    + GNU Go (on supported archs)
  * Update package relations:
    + Build-depend on mongodb-dev, libboost-thread-dev and
      libboost-filesystem-dev: Needed for MongoDB.
    + Build-depend on glusterfs-common: Needed for GlusterFS.
    + Build-depend on mono-devel and cli-common-dev: Needed for mono.
    + Build-depend on gccgo: Needed for GNU Go.
    + Build-depend on libsystemd-journal-dev: Needed for systemd_logger.
    + Build-depend on python-trollius: Needed for asyncio on Python 2.
  * Adjust git-buildpackage config for experimental branch.
  * Add patch 1008 to unconditionally use sys/xattr.h (not attr/xattr.h
    on Linux), avoiding webdav plugin linkage against libattr and
    hopefully fixing FTBFS for pty plugin on KFreeBSD.
  * Fix typo in patch 1007: Caused FTBFS with pty plugin enabled.
  * Improve package dependency auto-resolving:
    + Normalize suite (i.e. suffix like -security).
    + Swap "all" with "any", to fit use in control file.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 Nov 2014 21:34:16 +0100

uwsgi (2.0.7-1) unstable; urgency=medium

  [ upstream ]
  * New release 2.0.7.
    Bugfixes:
    + Fix counters in statsd plugin.
    + Fix caching in php plugin.
    + Fix management of system users starting with a number.
    + Fix request body readline using memmove instead of memcpy.
    + Ignore "user" namespace in setns (still a source of problems).
    + Fix Python3 rpc bytes/string mess (result: we support both).
    + Do not destroy the Emperor on failed mount hooks.
    + Fix symbol lookup error in the Mono plugin on OS X.
    + Fix fastcgi and scgi protocols error when out of buffer happens.
    + Fix solaris/smartos I/O management.
    + Fix 2 memory leaks in the rpc subsystem.
    + Fix rados plugin PUT method.
    + Fix multiple python mountpoints with multiple threads in cow mode.
    + stats UNIX socket is now deleted by vacuum.
    + Fix off-by-one corruption in cache LRU mode.
    + Force single-cpu build in cygwin.
    New Features and improvements:
    + Allow calling the spooler from every cpython context.
    + Add store_delete flag to cache2 option.
    + Extend file logger to allow rotation.
    + vassals plugin extended with hooks vassal and vassal_before_exec.
    + broodlord subsystem improved with option –vassal-sos.

  [ Jonas Smedegaard ]
  * Fix auto-resolve as "none" (not empty string) when no archs found.
  * Add patch 1007 to fix support pty on GNU/Hurd.
  * Stop repackage source: Upstream no longer ship binary java class
    file.
  * Adjust architecture-dependent plugins:
    + Enable Ceph/RADOS for s390x and sparc.
    + Enable Greenlet for armel and ppc64el.
    + Enable OpenJDK 7 for armhf and ppc64el.
  * Drop patch 1006: Adopted upstream.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Declare compliance with Debian Policy 3.9.6.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Oct 2014 20:50:17 +0200

uwsgi (2.0.6~dfsg-8) unstable; urgency=medium

  * Resolve Ruby kinds in backport-friendly manner (see bug#755779).
  * Stop uwsgi-plugins-all needlessly depending directly on
    uwsgi-plugin-php: Pulled in via uwsgi-app-integration-plugins.
  * Fix enable plugin matheval (as intended since 1.9.15-1).
  * Fix mention Ruby native threads in uwsgi-plugins-all long
    description.
  * Fix exclude coroae plugin from auto-resolved plugin list in
    uwsgi-core long description.
  * Improve pkgarchs.sh script to auto-resolve archs:
    + Fix support experimental suite.
    + Fix strip duplicates.
    + Fix mention all its dependencies in header.
    + Fix strip leading (not only trailing) space.
  * Fix build-depend unconditionally on ruby: Needed to resolve default
    ruby version (see bug#755779).
    Closes: bug#758270.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Aug 2014 11:52:19 +0200

uwsgi (2.0.6~dfsg-7) unstable; urgency=medium

  * Re-enable Ceph/RADOS plugin as separate binary package (to also fix
    ftpmaster late approval of 2.0.6~dfsg-3 weirdly shadowing subsequent
    releases.
  * Fix mention in long descriptions all plugins missing on some archs.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Jul 2014 19:23:04 +0200

uwsgi (2.0.6~dfsg-6) unstable; urgency=medium

  * Fix clean autogenerated uwsgi-core install file.
  * Ease backporting: Build-depend (as fallback for ruby-all-dev) on
    ruby1.9.1 and ruby1.9.1-dev.
  * Fix have uwsgi-plugin-fiber depend on proper rack package.
    Thanks to piuparts.
  * Fix have uwsgi-app-integration-plugins depend on uwsgi-plugin-luajit
    only on supported architectures.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jul 2014 12:08:01 +0200

uwsgi (2.0.6~dfsg-5) unstable; urgency=medium

  * Add patch 1006 to fix emperor-zeromq linkage against libzmq.
  * Fix resolve Java include path (use $DEB_HOST_ARCH for outer part,
    and $JAVA_ARCH only for inner part of libdir).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Jul 2014 16:39:28 +0200

uwsgi (2.0.6~dfsg-4) unstable; urgency=medium

  * Drop Ceph/RADOS plugin package (temporarily, to possibly enter
    testing faster than waiting in NEW queue may require).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Jul 2014 12:31:26 +0200

uwsgi (2.0.6~dfsg-3) unstable; urgency=medium

  * Fix build Ceph/RADOS storage plugin only on supported archs, and
    package it separately.
  * Fix avoid building plugin asyncio: Documented as experimental (and
    was accidentally not included in uwsgi-core anyway).
  * Resolve dynamically the plugins to install into uwsgi-core package.
  * Fix enable TLS support.
  * Fix enable XML support.
  * Fix use libyaml (not embedded YAML parser).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jul 2014 23:08:26 +0200

uwsgi (2.0.6~dfsg-2) unstable; urgency=medium

  * Stop build plugin alarm_speech: Pulls in Xorg and OpenGL, and is
    documented as just a toy plugin for OSX.
    Stop build-depend on libgnustep-gui-dev or libgnustep-base-dev.
    Drop patch 1006.
  * Fix resolve Ruby interpreter for plugins rbthreads and fiber (not
    rely on upstream hardcoded default).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Jul 2014 22:49:36 +0200

uwsgi (2.0.6~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release 2.0.4.
    Bugfixes:
    + Fix mime routing var.
    + Allow duplicate headers in http parsers.
    + Faster on_demand Emperor management.
    + Fix UWSGI_ADDITIONAL_SOURCES build option.
    + Merge duplicated headers when SPDY is enabled.
    + Fix segfault for unnamed loggers.
    + –need-app works in lazy-apps mode.
    + Fix fatal hooks management.
    New features:
    + Experimental asyncio loop engine (CPython >= 3.4).
    + httprouter advanced timeout management.
    + Allow disabling cache warnings in –cache2.
    + Purge LRU cache feature.
    + Support embedded config on FreeBSD.
    + RPC hook.
    + setmodifier1 and setmodifier2 routing actions.
    + no_headers option for static router.
    <https://uwsgi-docs.readthedocs.org/en/latest/Changelog-2.0.4.html>
  * New release 2.0.5.
    Bugfixes:
    + Fix support for repeated headers in lua plugin.
    + Fix support for embedding config in OpenBSD and NetBSD.
    + various fixes in the curl-based plugins.
    + Fix milliseconds-based waits.
    + Fix sharedarea poller.
    + Fix stats server json escaper.
    + Fix fastcgi parser and implemented eof management.
    + Improve fast on-demand mode.
    + Exclude avg_rt computation for static files.
    + Fix variables support in uwsgi internal router.
    + Fix websockets + keepalive ordering.
    + Disable SIGPIPE management in corutines-based loop-engines.
    + Fix 64bit sharedarea management in 32bit systems.
    + Honour chmod/chown-socket in fd0 mode.
    + Hack to avoid Safari iOS making mess with keepalive.
    + Fix log setup when both –logto and –log2.
    + Fix mule_get_msg EAGAIN.
    + Return correct signal_pidfile error code.
    + Fix asyncio on OSX.
    New features:
    + Graceful reload of mule processes.
    + Return routing action.
    + –emperor-no-blacklist.
    + Icecast2 protocol helpers.
    + –metrics-no-cores, –stats-no-cores, –stats-no-metrics.
    + sharedarea improvements.
    + UWSGI_GO_CHEAP_CODE.
    + PROXY1 support for the http router.
    + reset_after_push for metrics.
    + setremoteaddr.
    + resolve option.
    <https://uwsgi-docs.readthedocs.org/en/latest/Changelog-2.0.5.html>
  * New release 2.0.6.
    Bugfixes:
    + Fix a memory leak with subscription system.
    + Fix shortcut for ssl-socket.
    + Fix apache2 mod_proxy_uwsgi (now considered stable with all mpm
      engines).
    + Fix SCRIPT_NAME and PATH_TRANSLATED generation in php plugin.
    + Remove old FIFO socket from the event queue when recreating it.
    New features:
    + Rados plugins improved and stabilized.
    + –if-hostname to include options only on specified hostname match.
    + Apache2 mod_proxy_uwsgi stabilized.
    + uwsgi[rsize] routing var.
    + callint scheme.
    + –fastrouter-fallback-on-no-key.
    + php 5.5 opcode caching via –php-sapi-name.
    + Improved chain-reloading.
    + added ‘chdir’ keyval to –attach-daemon2.
    <https://uwsgi-docs.readthedocs.org/en/latest/Changelog-2.0.6.html>

  [ Jonas Smedegaard ]
  * Repackage upstream tarball to exclude binary example file without
    source.
  * Update copyright file:
    + Document file excluded from repackaged tarball.
    + Extend main licensing with newly introduced linking exception.
  * Update package relations:
    + Auto-resolve CDBS-related build-dependencies.
    + Have libapache2-* packages recommend uwsgi-core and suggest uwsgi.
    + Relax to build-depend unversioned on debhelper: Needed version
      satisfied even on oldstable.
    + Fix build-depend on python3: Needed since 1.2.3+dfsg-1 for
      dh_python3 call (and for compiling as well).
    + Build-depend on devscripts: Needed for copyright check.
    + Build-depend on libssl-dev.
    + Build-depend on librados-dev: Needed for Rados plugin.
    + Build-depend on libluajit-5.1-dev: Needed for Lua plugin linked
      with LuaJIT.
  * Document use of CDBS and git-buildpackage in README.source.
  * Fix install tests as example files (was dropped since 1.9.17-1).
  * Refactor packaging files:
    + Use more consistent variable naming
    + Resolve packaging hints more elegantly.
    + Expand packaging hint files from templates before build (not
      during install).
    + Fix clean properly after build.
    + Avoid use of CURDIR where unneeded.
  * Fix use JAVA_ARCH (not DEB_HOST_ARCH) to resolve java paths (broken
    since 1.2.3+dfsg-2~experimental1).
  * Include CDBS utils snippet, to enable copyright check (and ensure it
    is done before packaging hint file expansion).
  * Add placeholder to ease excluding broken plugins.
  * Add TODO file.
  * Fix unapply patches (applied since 2.0.2-1~experimental1).
  * Unfuzz patches.
  * Extend V8-supported architectures to include hurd-i386 and mips.
  * Auto-resolve plugin list in long description of uwsgi-core package.
  * Update watch file:
    + Strip trailing ~dfsg.
    + Drop comments about obsolete version scheme for pre-releases.
  * Add patch 1006 to fix link alarm_speech plugin against GNUstep
    libraries.
    Closes: bug#753724. Thanks to Yavor Doganov.
  * Build-depend on ruby-all-dev, and build rack package for Ruby 2.1
    (not Ruby 1.9.1).
    Closes: bug#743994. Thanks to Christian Hofstaedtler, Antonio
    Terceiro and Neil Williams.
  * Enable rados plugin.
  * Build Lua plugin linked with LuaJIT (where available).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Jul 2014 13:44:04 +0200

uwsgi (2.0.3-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Janos Guljas <janos@debian.org>  Mon, 07 Apr 2014 15:09:01 +0200

uwsgi (2.0.2-1~experimental1) experimental; urgency=medium

  [ upstream ]
  * New release. (Closes: #737511)

  [ Janos Guljas ]
  * Remove binary packages:
    - uwsgi-plugin-jvm-openjdk-6 (Closes: #720571, #732674)
    - uwsgi-plugin-jwsgi-openjdk-6
    - uwsgi-plugin-erlang
    - uwsgi-plugin-pyerl-python
    - uwsgi-plugin-pyerl-python3
  * Remove alarm plugin from uwsgi-core.
  * Use verbose compilation:
    - remove 2001_verbose_compilation.patch
    - add -v option to UWSGI_BUILDER in debian/rules
  * Remove support for IA64 architecture: (Closes: #724527)
    - remove 1006_avoid_clone_on_IA64.patch
  * Remove support for s390 architecture.
  * Remove patches as applied upstrea:
    - 1007_fix_linkage.patch
    - 020130925~4b60307.patch
    - 020130925~b190744.patch
  * Raise standards version to 3.9.5.

 -- Janos Guljas <janos@debian.org>  Mon, 03 Mar 2014 15:44:17 +0100

uwsgi (1.9.17.1-6) unstable; urgency=low

  * Fix avoid emperor_zeromq plugin on GNU/Hurd.
  * Move non-core plugin coroae (Perl Coro::AnyEvent) to package
    uwsgi-plugin-psgi.
  * Various minor improvements to short and long descriptions.
  * Fix have uwsgi-plugin-sqlite3 (not uwsgi) recommend sqlite3.
  * Simplify example file grouping and Java in rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Oct 2013 22:48:06 +0200

uwsgi (1.9.17.1-5) unstable; urgency=low

  * Fix extend patch 1006 to avoid more IA64 clone() calls. Tidy DEP3
    patch header.
  * Fix extend patch 1007 to cover more linkage.
  * Unfuzz patch 2001.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Sep 2013 01:53:54 +0200

uwsgi (1.9.17.1-4) unstable; urgency=low

  * Add patch 1006 to not use of clone() in emperor plugin on IA64, as
    workaround for FTBFS. Replaces previous unsuccesful patch 1006.
  * Add patch 1007 to fix linkage for GNU/Hurd and GNU/kFreeBSD.
  * Unfuzz patch 2001.
  * Stop needlessly build-depending explicitly on libbsd-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Sep 2013 22:11:34 +0200

uwsgi (1.9.17.1-3) unstable; urgency=low

  * Build-depend on libzm-dev as fallback for libzmq3-dev, to ease
    backporting.
  * Tighten uwsgi-plugin-php to depend on current or newer
    libphp5-embed: lack stable API/ABI.
    Tighten to depend on same libphp5-embed when building against older
    php5: SONAME always changed, so backports need rebuilding when php5
    is binNMU'ed.
  * Fix build-depend on libbsd-dev on KFreeBSD.
  * Add patch 1006 to include sched.h with GNU extensions, hopefully
    fixing FTBFS on IA64.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Sep 2013 03:38:41 +0200

uwsgi (1.9.17.1-2) unstable; urgency=low

  * Add patches 4b60307 and b190744 cherry-picked from upstream VCS, to
    support KFreeBSD. Drop similar locally created patch 1006.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Sep 2013 10:39:10 +0200

uwsgi (1.9.17.1-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Add patch 1006 to detect KFreeBSD.
  * Build-depend on libjail-dev and libkvm-dev on KFreeBSD.
  * Build-depend on libzmq3-dev (not libzmq-dev), and include KFreebsd
    (leaving out only Hurd).
  * Fix exclude building plugin emperor_zeromq on Hurd, and no longer
    exclude on KFreeBSD.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Sep 2013 04:23:38 +0200

uwsgi (1.9.17-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Add patch 2001 to compile verbosely.
  * Fix adjust uwsgi-core buildconf to autodetect presence of libzmq.
  * Have apache2 modules only depend on api package when api is
    resolved, to ease backporting.
  * Update source paths for example files, and stop installing files now
    treated as tests.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Sep 2013 06:10:50 +0200

uwsgi (1.9.16-2) unstable; urgency=low

  * Relax build-dependency on apache2-dev to be unversioned: Declared
    version satisfied by all releases ever made officially for Debian.
    Add apache2-threaded-dev as fallback, to ease backporting.
  * Tidy rules and control files:
    + Use CDBS_DEPENDS_* for binary package relations.
    + Resolve Python versions supported by this project (not all
      versions supported by target host - which is semantically
      different even though currently produces same result).
    + Drop unused variables PYTHON_MAJOR_VER and PYTHON3_MAJOR_VER.
    + Fix use unversioned Python binary when default version, to comply
      with Debian Python Policy §§ 1.4.1, 1.4.2.
    + Simplify Python module install, using CDBS python-module.mk.
    + Convert Python 2.x module to Python 3 during build (not install).
    + Simplify installation of plain files.
  * Fix Vcs-Browser URL.
    Closes: bug#723016. Thanks to Matthijs.
  * Update patches:
    + Merge together as patch 1001 the 2 patches that strips setting
      LD_RUN_PATH in LDFLAGS.
    + Prefix remaining patches with a number.
    + Add README in patch dir documenting numbering micro-policy.
    + Add patch 1006 to link dynamically against libperl.
  * Fix limit build-dependency on libzmq-dev to exclude the Hurd (in
    addition to kFreeBSD, but for different reason - libzmq-dev is not
    in itself Linux-specific).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Sep 2013 18:08:16 +0200

uwsgi (1.9.16-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fix use packaging section httpd for libapache2-mod-uwsgi and
    libapache2-mod-ruwsgi.
  * Auto-resolve openjdk6-supported architectures.
  * Exclude build-dependency on libzmq-dev for kfreebsd-any, and avoid
    building module zeromq there.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Sep 2013 12:43:52 +0200

uwsgi (1.9.15-1) experimental; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Auto-resolve V8- and greenlet-supported architectures.
    Relax arch-specific package relations:
    + For V8 include kfreebsd-* and mipsel.
    + For greenlet include all except ia64.
  * Update patches:
    + Drop patches applied upstream:
      - 000000_01_adjust_lua_plugin_buildscript.patch
      - alarm_speech-flags.patch
    + Drop patch no longer applying (one example script dropped
      upstream, another now treated as a test script):
      - 000000_04_strip_uwsgi_shebang_from_examples.patch
    + Unfuzz patches with shortening quilt options.
  * Add upstream git as alternate source.
  * Add CDBS upstream-tarball.mk snippet, to implement get-orig-source
    target.
  * Have git-import-orig suppress upstream .gitignore file and enable
    signed tags.
  * Git-ignore quilt .pc dir.
  * Update source paths for example files, and stop installing files
    either dropped upstream or now treated as tests.
  * Stop building against Ruby 1.8.  Raise priority of Ruby 1.9.1 rack
    plugin.
    Stop build-depending on ruby1.8 or ruby1.8-dev.
  * Add plugin package rbthreads, for Ruby 1.9 native threads.
  * Add plugin package lua5.2, for Lua WSAPI linked with Lua 5.2.
  * Build-depend on libcap-dev on Linux archs, for capabilities support.
    Closes: bug#718414. Thanks to Bastian Blank.
  * Build-depend on libmatheval-dev, for math support in routing system.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2013 05:51:10 +0200

uwsgi (1.9.13-5) unstable; urgency=medium

  * Add myself as uploader.
  * Limit package relations tied to openjdk-7 to supported
    architectures: mips/mipsel unsupported since openjdk-7 7u15-2.3.7-1.
  * Avoid mips and mipsel architectures for jvm-openjdk-7 plugin,
    unsupported since openjdk-7 7u15-2.3.7-1:
    + Limit build-dependency and arch hints for binary packages in
      control file.
    + Fix resolving what plugins to build to be arch-aware.
    Closes: bug#720262. Thanks to Adam D. Barratt.
  * Set urgency=medium, as changes are rather limited and affects recent
    perl migration for those using uWSGI.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Sep 2013 20:15:29 +0200

uwsgi (1.9.13-4) unstable; urgency=low

  * Remove hardcoded phpapi-20100525 dependency. (Closes: #715472)
  * Build uwsgi-plugin-v8 and build depend on libv8-dev only on
    amd64 armel armhf i386 architectures. (Closes: #715473)
  * Remove apache2 and apache2-api-20120211 dependencies for
    libapache2-mod-proxy-uwsgi, libapache2-mod-uwsgi and
    libapache2-mod-ruwsgi. (Closes: #715485)
  * Add ${uwsgi:apache2:Depends} substvar to reference Apache2 API version.
  * Add ${uwsgi:php:Depends} substvar to reference PHP API version.
  * Add libphp5-embed as a dependency for uwsgi-plugin-php.

 -- Janos Guljas <janos@debian.org>  Wed, 10 Jul 2013 22:23:20 +0200

uwsgi (1.9.13-3) unstable; urgency=low

  * debian/uwsgi-core.install.
    - Include alarm_speech, coroae and pem plugins into the uwsgi-core
      package.

 -- Janos Guljas <janos@debian.org>  Tue, 09 Jul 2013 02:24:32 +0200

uwsgi (1.9.13-2) unstable; urgency=low

  * Move plugins from binary packges to uwsgi-core package as they have
    dependencies with priority set to required:
    - alarm_speech
    - coroae
    - pam

 -- Janos Guljas <janos@debian.org>  Tue, 09 Jul 2013 01:56:41 +0200

uwsgi (1.9.13-1) unstable; urgency=low

  * New upstream release.
  * Update dependencies to build with Apache 2.4. (Closes: #709468)
    - Remove apache2-threaded-dev.
    - Add apache2-dev (>> 2.4~).
    - Depend lbapache2-mod-proxy-uwsgi, ibapache2-mod-uwsgi and
       libapache2-mod-ruwsgi on apache2-api-20120211.
  * Update postinst and prerm scripts to use apache2-maintscript-helper.
  * Add debian/patches/emperor-pg-fix-cflags.patch.
    - Remove -Wformat-security flag to fix build error
  * debian/uwsgi-core.docs:
    - Remove uwsgi_API.txt.

 -- Janos Guljas <janos@debian.org>  Mon, 08 Jul 2013 14:06:14 +0200

uwsgi (1.9.11-1) unstable; urgency=low

  * New upstream release.
  * Upstream version does not contain minfied JavaScript files:
    - Drop dfsg sufix from version.
    - Remove get-orig-source target from debian/rules.
  * Update debian/copyright:
    - Remove references to removed files lib/rbtree.c, lib/rbtree.h and
      nginx/ngx_http_uwsgi_module.c.
    - Added copyrights for core/rb_timers.c and core/hash.c.
    - Updated copyright years.
  * debian/rules:
    - Change UWSGICONFIG_JVM_INCPATH to fix jvm plugin build.
  * Patch Python plugin to remove assignments to environment variable
    LD_RUN_PATH which leads to setting RPATH in compiled binary/shared library:
    python-plugin_remove_assignments_to_LD_RUN_PATH.patch.
  * debian/pathces/fix-php-ldflags.patch
    - Include php5-embed ld library path when building PHP plugin.
  * debian/patches/remove-php-libs.patch
    - Remove PHP libraries when building PHP plugin.
  * Update patches to apply cleanly:
    - fix-reload-process-name.patch
    - fix-php-ldflags.patch
    - 000000_02_remove_assignments_to_LD_RUN_PATH.patch
  * Remove no longer needed patches:
    - 110515_01_add_overriding_of_JVM_PATH_into_buildscript_of_jwsgi_plugin.patch
    - 000000_03_strip_versions_from_jQuery_scripts_links_in_uwsgicc_templates.patch
    - remove-pg_config_cflags-in-probepg.patch
  * Update lintian-overrides for jwsgi and jvm plugins.
  * New binary package uwsgi-emperor. (Closes: #660212)
  * New binary package uwsgi-plugin-php. (Closes: #699174)
    - New Build-Depends libphp5-embed, php5-dev, libonig-dev, libdb-dev,
      libqdbm-dev and libbz2-dev.
  * New binary package uwsgi-plugin-alarm-curl:
    - New Build-Depends libcurl4-openssl-dev.
    - Add alarm option to buildconf/uwsgi-core.ini.
    - Set pcre option to true in: buildconf/uwsgi-core.ini.
  * New binary package uwsgi-plugin-alarm-xmpp:
     - New Build-Depends libgloox-dev.
  * New binary package uwsgi-plugin-pam:
    - New Build-Depends libpam0g-dev.
  * New binary package uwsgi-plugin-router-access:
    - New Build-Depends libwrap0-dev.
    - Add routing option to buildconf/uwsgi-core.ini.
  * New binary package uwsgi-plugin-alarm-speech:
    - New Build-Depends libgnustep-base-dev and libgnustep-gui-dev.
    - Add debian/patches/alarm_speech-flags.patch
  * New binary package uwsgi-plugin-coroae:
    - New Build-Depends libcoro-perl.
  * New binary package uwsgi-plugin-geoip:
    - New Build-Depends libgeoip-dev.
  * New binary package uwsgi-plugin-v8:
    - New Build-Depends libv8-dev.
  * New binary package uwsgi-plugin-xslt:
    - New Build-Depends libxslt1-dev.
  * New binary packages libapache2-mod-proxy-uwsgi and
    libapache2-mod-proxy-uwsgi-dbg.
  * Add plugins to uwsgi-core package:
    - cheaper_backlog2
    - cheaper_busyness
    - clock_monothonic
    - clock_realtime
    - corerouter
    - emperor_amqp
    - logfile
    - notfound
    - rawrouter
    - redislog
    - router_basicauth
    - router_cache
    - router_http
    - router_memcached
    - router_redirect
    - router_rewrite
    - router_uwsgi
    - spooler
    - ssi
    - sslrouter
    - stats_pusher_statsd
    - transformation_gzip
    - transformation_tofile
    - transformation_toupper
    - zergpool
    - logfile
  * Move plugins from binary packges to uwsgi-core package as they do not have
    additional dependencies:
    - admin
    - cache
    - carbon
    - cgi
    - echo
    - emperor_zeromq
    - fastrouter
    - http
    - logsocket
    - nagios
    - ping
    - router_static
    - rpc
    - rrdtool
    - rsyslog
    - signal
    - symcall
    - syslog
    - ugreen
  * New plugins:
    - uwsgi-plugin-curl-cron
    - uwsgi-plugin-emperor-pg
    - uwsgi-plugin-ldap
    - uwsgi-plugin-sqlite3
    - uwsgi-plugin-systemd-logger
  * Remove no longer provided plugins:
    - uwsgi-plugin-probeconnect
    - uwsgi-plugin-probepg
  * Remove no longer provided packages:
    - python-uwsgicc
    - python-django-uwsgi-admin
  * Remove plugins which are moved to uwsgi-core package:
    - uwsgi-plugin-admin
    - uwsgi-plugin-cache
    - uwsgi-plugin-carbon
    - uwsgi-plugin-cgi
    - uwsgi-plugin-echo
    - uwsgi-plugin-emperor-zeromq
    - uwsgi-plugin-fastrouter
    - uwsgi-plugin-http
    - uwsgi-plugin-logsocket
    - uwsgi-plugin-nagios
    - uwsgi-plugin-ping
    - uwsgi-plugin-router-static
    - uwsgi-plugin-rpc
    - uwsgi-plugin-rrdtool
    - uwsgi-plugin-rsyslog
    - uwsgi-plugin-signal
    - uwsgi-plugin-symcall
    - uwsgi-plugin-syslog
    - uwsgi-plugin-ugreen
  * Changes in uwsgi-extra package:
    - Remove no longer provided nginx and lighttpd directories.
    - Update description.

 -- Janos Guljas <janos@debian.org>  Mon, 27 May 2013 03:55:54 +0200

uwsgi (1.4.4+dfsg-1) experimental; urgency=low

  * New upstream release. (Closes: #698691)
  * Remove upstream applied patches:
    - fixed-a-leak-in-uwsgi.workers.patch
    - fixed-magic_table-usage-in-http-and-fastrouter-plugins.patch
    - security-check-in-the-http-router.patch
    - threading-issue-with-uwsgi-send.patch
    - fixed-ruby-rvm-support.patch
    - fixed-spooler-with-chdir.patch
    - fixed-async+threading.patch
    - skip-headers-sending-when-no-headers-are-defined.patch
    - fixed-logfile-inheritance.patch
    - fixed-waitpid-usage-in-cheap-cheaper-lazy-modes.patch
    - fixed-casting-in-wsgi-input.patch
    - fixed-casting-in-wsgi-input-web3-pump-part.patch
    - fixed-env-clear-in-plain-async-mode.patch
    - allows-ugreen-with-threads.patch
    - fix-mod_uwsgi-authenticated-but-authentication-typeless-requests.patch
    - fixed-fastcgi-support-for-response-bigger-than-64k.patch
    - disable-SIGSTOP-SIGTSTP-in-gateways.patch
    - fixed-idle-mode.patch
  * Update patches:
    - fix-reload-process-name.patch
  * debian/rules:
    - Update path for example configuration files.
    - Remove uwsgibuild.* files on clean.
  * Update my email address.
  * Update debian/copyright.
  * debian/control:
    - Remove DM-Upload-Allowed field.
    - Raise standards version to 3.9.4.
    - Update VCS fields to contain canonical URL forms.

 -- Janos Guljas <janos@debian.org>  Sun, 27 Jan 2013 02:46:36 +0100

uwsgi (1.2.3+dfsg-5) unstable; urgency=low

  * debian/patches/remove-pg_config_cflags-in-probepg.patch
    - Remove pg_config --cflags from probepg build. (Closes: #687084)
  * Apply upstream patches:
    - fixed-magic_table-usage-in-http-and-fastrouter-plugins.patch
        Fixed magic_table usage in http and fastrouter plugins.
    - security-check-in-the-http-router.patch
        Added a security check in the http router.
    - threading-issue-with-uwsgi-send.patch
        Fixed a threading issue with uwsgi.send().
    - fixed-ruby-rvm-support.patch
        Fixed Ruby RVM support.
    - fixed-spooler-with-chdir.patch
        Fixed spooler with chdir.
    - fixed-async+threading.patch
        Fixed async+threading in python plugin.
    - skip-headers-sending-when-no-headers-are-defined.patch
        Skip headers sending when no headers are defined.
    - fixed-logfile-inheritance.patch
        Fixed logfile inheritance.
    - fixed-waitpid-usage-in-cheap-cheaper-lazy-modes.patch
        Fixed waitpid usage in cheap/cheaper/lazy modes.
    - fixed-casting-in-wsgi-input.patch
        Fixed casting in uwsgi.input.
    - fixed-casting-in-wsgi-input-web3-pump-part.patch
        More fixes on casting in uwsgi.input.
    - fixed-env-clear-in-plain-async-mode.patch
        Fixed env clear in plain async mode.
    - allows-ugreen-with-threads.patch
        Allows ugreen with threads.
    - fix-mod_uwsgi-authenticated-but-authentication-typeless-requests.patch
        Fix mod_uwsgi authenticated, but authentication typeless requests.
    - fixed-fastcgi-support-for-response-bigger-than-64k.patch
        Fixed fastcgi support for response bigger than 64k.
    - disable-SIGSTOP-SIGTSTP-in-gateways.patch
        Disable SIGSTOP/SIGTSTP in gateways.
    - fixed-idle-mode.patch
        Fixed idle mode.

 -- Janos Guljas <janos@resenje.org>  Thu, 13 Sep 2012 19:37:31 +0200

uwsgi (1.2.3+dfsg-4) unstable; urgency=low

  * debian/patches/fix-reload-process-name.patch:
     - Preserve process name on reload.
  * Add `name` option from start-stop-daemon as the issue with
    master process name changing on reload is fixed by patching the source.

 -- Janos Guljas <janos@resenje.org>  Tue, 21 Aug 2012 23:31:59 +0200

uwsgi (1.2.3+dfsg-3) unstable; urgency=low

  * Remove `name` option from start-stop-daemon as master process is
    changing its name on reloads. Thanks Andreas Motl for the patch.

 -- Janos Guljas <janos@resenje.org>  Mon, 20 Aug 2012 12:32:43 +0200

uwsgi (1.2.3+dfsg-2) unstable; urgency=low

  * Remove uwsgi-plugin-luajit binary package. (Closes: #680132)
     - Remove libluajit-5.1-dev from Build-Depends.
     - Remove uwsgi-plugin-luajit from dependencies for
       uwsgi-app-integration-plugins.
     - Remove all occurrences of luajit plugin in debian/rules.
  * Include upstream patch to fix a memory leak in python uwsgi.workers().

 -- Janos Guljas <janos@resenje.org>  Mon, 09 Jul 2012 03:32:09 +0200

uwsgi (1.2.3+dfsg-2~experimental2) UNRELEASED; urgency=low

  * debian/rules:
     - Cleanup uwsgibuild log files after the build.

 -- Janos Guljas <janos@resenje.org>  Wed, 20 Jun 2012 15:39:14 +0200

uwsgi (1.2.3+dfsg-2~experimental1) experimental; urgency=low

  * Add support for OpenJDK 7 (Closes: #678120):
     - Build depend on openjdk-7-jdk.
     - Add dependencies uwsgi-plugin-jvm-openjdk-7 and
       uwsgi-plugin-jwsgi-openjdk-7 for uwsgi-app-integration-plugins. 
     - New binary packages uwsgi-plugin-jvm-openjdk-7 and
       uwsgi-plugin-jwsgi-openjdk-7.
     - Update debian/rules for new packages.
     - Add debian/uwsgi-plugin-jvm-openjdk-7.postinst
       debian/uwsgi-plugin-jvm-openjdk-7.prerm
       debian/uwsgi-plugin-jwsgi-openjdk-7.install
       debian/uwsgi-plugin-jwsgi-openjdk-7.postinst
       debian/uwsgi-plugin-jwsgi-openjdk-7.prerm
     - Override binary-or-shlib-defines-rpath lintian warnings for
       uwsgi-plugin-jvm-openjdk-7 and uwsgi-plugin-jwsgi-openjdk-7.
   * Change alternatives priprity to 35 for uwsgi-plugin-jvm-openjdk-
     and uwsgi-plugin-jwsgi-openjdk-6.

 -- Janos Guljas <janos@resenje.org>  Tue, 19 Jun 2012 16:23:06 +0200

uwsgi (1.2.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/uwsgi.init.d
     - Remove spurious no-op command in init script, thanks to
       Jean-Baptiste Quenot.
  * Use dh_python3 for python3-uwsgidecorators. (Closes: #672193)
  * debian/rules
     - Include Hardening options in CFLAGS, CPPFLAGS and LDFLAGS.

 -- Janos Guljas <janos@resenje.org>  Thu, 10 May 2012 17:14:22 +0200

uwsgi (1.2+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Janos Guljas <janos@resenje.org>  Mon, 30 Apr 2012 17:35:22 +0200

uwsgi (1.1.2+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Janos Guljas <janos@resenje.org>  Fri, 30 Mar 2012 23:46:24 +0200

uwsgi (1.1.1+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #664890).
  * Add DM-Upload-Allowed control field.
  * Remove debian/patches/python-3.x-fix.patch as applied upstream.

 -- Janos Guljas <janos@resenje.org>  Thu, 22 Mar 2012 17:32:15 +0100

uwsgi (1.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/uwsgi-files/init/specific_daemon
     - suppress stderr on do_start_specific_daemon()
  * debian/rules
     - adjust building python2x_plugin.so and python3x_plugin.so
  * Add debian/patches/python-3.x-fix.patch to fix regression introduced
    in 1.1 release.
  * Update debian/copyright Format value. 
  * Bump standards to 3.9.3.

 -- Janos Guljas <janos@resenje.org>  Sat, 17 Mar 2012 21:39:16 +0100

uwsgi (1.0.3+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Adjust rack plugin LD_RUN_PATH patch.
  * Adjust patch for uWSGI Control Center jQuery links in templates.
  * Remove '-fno-strict-aliasing' CFLAG patch as it is implemented upstream.
  * Remove fix indentation of uwsgidecorators_py patch as implemented upstream.
  * Adjust init scripts to use top-bottom options order, as --inherit option
    is not working as in earlier versions. 
  * Update debian/copyright file.
  * Add LSB Description field to debian/uwsgi.init.d.
  * Set Architecture to "all" for binary package uwsgi-extra because
    it contains no architecture dependent files.
  * Change uwsgi description. (Closes: #640698)
  * New binary packages:
    - uwsgi-plugin-carbon
    - uwsgi-plugin-graylog2
    - uwsgi-plugin-logsocket
    - uwsgi-plugin-probeconnect
    - uwsgi-plugin-probepg
    - uwsgi-plugin-rrdtool
    - uwsgi-plugin-rsyslog
    - uwsgi-plugin-signal
    - uwsgi-plugin-symcall
    - uwsgi-plugin-syslog
  * python-uwsgidecorators:
    - fix binary-install rule to call dh_python2
    - remove debian/source.lintian-overrides
  * uwsgi-plugin-jvm-openjdk-6:
    - fix FTBFS on armel and powerpc (Closes: #656280)
  * uwsgi-plugin-python:
    - document issue "ImportError: No module named site" when using
      virtualenv with Python 2.6 in README.Debian (Closes: #654333)
  * Adjust debian/watch uversionmangle option.
  * Repack upstram source to remove minimized jQuery and jQuery UI JavaScript
    libraries:
    - add get-orig-source rule to debian/rules
    - append +dfsg to upstream version
    - update debian/watch with dversionmangle option

 -- Janos Guljas <janos@resenje.org>  Mon, 13 Feb 2012 03:43:28 +0100

uwsgi (0.9.8.3-2) unstable; urgency=low

  [ Leonid Borisenko ]
  * uwsgi:
    - change location of runtime directory of uWSGI instance
      from: /run/uwsgi/<confname>
      to:   /run/uwsgi/app/<confname>
    - change location of uWSGI instance logfile
      from: /var/log/uwsgi/<confname>.log
      to:   /var/log/uwsgi/app/<confname>.log

  [ Janos Guljas ]
  * uwsgi-plugin-jwsgi-openjdk-6:
    - Change UWSGICONFIG_JVM_INCPATH and UWSGICONFIG_JVM_LIBPATH.
      (Closes: #640347)
    - update lintian-overrides binary-or-shlib-defines-rpath
      for new paths
  * Add myself as maintainer. Many thanks to Leonid Borisenko who did
    a great job of packaging and maintaining this package.

 -- Janos Guljas <janos@resenje.org>  Sun, 01 Jan 2012 21:01:34 +0100

uwsgi (0.9.8.3-1) unstable; urgency=low

  * New upstream version (0.9.8.3)
  * Install file CONTRIBUTORS into docs of all the packages
  * uwsgi:
    - move files with supplementary functions of init.d script from
      /usr/lib/uwsgi/init to /usr/share/uwsgi/init
    - move inherited configuration file from /usr/lib/uwsgi/conf to
      /usr/share/uwsgi/conf
  * uwsgi-core:
    - add new WSGI examples
  * uwsgi-plugin-luajit:
    - build package for armel architecture
  * uwsgi-plugin-python:
    - add Suggests: python-uwsgidecorators
  * uwsgi-plugin-python3:
    - add Suggests: python3-uwsgidecorators
  * python3-uwsgidecorators:
    - extend package description with note about possible improper work of
      uwsgidecorators module on Python 3;
      see http://lists.unbit.it/pipermail/uwsgi/2011-July/002355.html

 -- Leonid Borisenko <leo.borisenko@gmail.com>  Tue, 26 Jul 2011 18:45:32 +0300

uwsgi (0.9.8.1-1) unstable; urgency=low

  * New upstream version (0.9.8.1)
  * d/patches:
    - refresh
      apply_GCC_no_strict_aliasing_option_only_to_python_plugin_building.patch
    - remove obsolete (applied by upstream):
      - fix_automagical_plugin_loading.patch
      - fix_inherit_option_behavior.patch
      - fix_usage_of_proto_write_in_echo_plugin.patch
      - support_magic_variables_for_sqlite_config.patch
  * Add python-uwsgidecorators/python3-uwsgidecorators binary packages:
    - uwsgidecorators is a simple Python module that exports a bunch of
      decorators to allow a more elegant approach to uWSGI API. Provided
      decorators helps with creating of RPC functions, timers, filemonitors.
    - d/source.lintian-overrides has been added to override false positive
      warning of dh_python-is-obsolete
  * d/uwsgi-plugin-greenlet-python.prerm.in:
    - correct error in name of alternatives link group
      (replace 'uwsgi-plugin-greenlet' with 'uwsgi-plugin-greenlet-python')
      so as to fix process of uwsgi-plugin-greenlet-python package
      uninstallation (and pass piuparts test)
  * Make use of /run directory instead of /var/run:
    - it is backward-compatible change, as /var/run is symlinked to /run
    - /run is a new cross-distribution location for the storage of transient
      writable files needed from system startup to shutdown, but which do not
      require preserving across reboots. It has been appeared in Debian with
      initscripts upgrade to 2.88dsf-13.3.

 -- Leonid Borisenko <leo.borisenko@gmail.com>  Sun, 26 Jun 2011 01:01:06 +0300

uwsgi (0.9.8-2) unstable; urgency=low

  * Resolve package building issues on some architectures:
    - exclude uwsgi-plugin-luajit from building on armel architecture.
      Build-Dependency libluajit-5.1-dev doesn't available on armel,
      bug #630814 was filed.
    - remove Build-Dependency on libsctp-dev.
      Build-Dependency on libsctp-dev prevents packages from building on
      architectures kfreebsd-i386, kfreebsd-amd64, hurd-i386.
      SCTP build option doesn't handled by uWSGI build configuration since
      20 Oct 2010 (Mercurial changeset f1841e46cd29). So Build-Dependency on
      libsctp-dev could be safely discarded without loss of any uWSGI
      features.
    - restrict set of uwsgi-plugin-greenlet-python architectures to
      amd64, i386, mips, powerpc, s390 (where python-greenlet and
      python-greenlet-dev packages are available).

 -- Leonid Borisenko <leo.borisenko@gmail.com>  Fri, 17 Jun 2011 22:51:01 +0300

uwsgi (0.9.8-1) unstable; urgency=low

  * Initial release. (Closes: #582864)

 -- Leonid Borisenko <leo.borisenko@gmail.com>  Mon, 13 Jun 2011 23:51:44 +0300
